%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		kcolorpicker
Version:	0.2.0
Release:	%mkrel 1
Summary:	Qt based Color Picker with pop-up menu
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://github.com/ksnip/kColorPicker
Source:		https://github.com/ksnip/kColorPicker/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
QToolButton with color popup menu with lets you select a color. The
popup features a color dialog button which can be used to add custom
colors to the popup menu.

#------------------------------------------------

%package -n	%{libname}
Summary:	Qt based Color Picker with pop-up menu
Group:		System/Libraries

%description -n %{libname}
QToolButton with color pop-up menu with lets you select a color. The
pop-up features a color dialog button which can be used to add custom
colors to the popup menu.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n kColorPicker-%{version}

%build
%cmake_qt5 \
	-DBUILD_EXAMPLE=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libkColorPicker.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%{_includedir}/kColorPicker/
%{_libdir}/libkColorPicker.so
%{_libdir}/cmake/kColorPicker/


%changelog
* Thu Sep 01 2022 papoteur <papoteur> 0.2.0-1.mga9
+ Revision: 1883313
- new 0.2.0

* Sun Apr 03 2022 umeabot <umeabot> 0.1.6-2.mga9
+ Revision: 1842458
- Mageia 9 Mass Rebuild

* Tue May 25 2021 daviddavid <daviddavid> 0.1.6-1.mga9
+ Revision: 1728131
- new version: 0.1.6

* Thu Feb 25 2021 daviddavid <daviddavid> 0.1.5-1.mga9
+ Revision: 1690680
- new version: 0.1.5
- now libmajor is 0

* Thu Dec 17 2020 umeabot <umeabot> 0.1.4-2.mga8
+ Revision: 1658649
- Rebuild for new Qt5

* Fri Jun 19 2020 daviddavid <daviddavid> 0.1.4-1.mga8
+ Revision: 1597036
- new version: 0.1.4

* Fri Apr 03 2020 daviddavid <daviddavid> 0.1.1-1.mga8
+ Revision: 1564099
- initial package kcolorpicker (needed for ksnip)

